@echo off

call setenv_eai.bat

if %WORK_DIR%a==a echo ### ERROR WORK DIR NOT SET ###
echo WORK_DIR: %WORK_DIR%

set DESTINATION_DIR=%WORK_DIR%\generated\corba\java

echo ***** Compilazione dei File JAVA articolo 2 ...
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile

IF %JBOSS_DIST%a==a (
	echo ########################
        echo ### NO JAR EJB JBoss ###
	echo ########################
) ELSE (
	echo ********************************
        echo * Costruizone EJB JBoss JAR... *
	echo ********************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml makejar
)

IF %TOMCAT_HOME%a==a (
	echo ########################
        echo #### NO WAR TOMCAT ##### 
	echo ########################
) ELSE (
	echo ******************************
        echo * Costruzione TOMCAT WAR ... *
	echo ******************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml makewar
)

IF not EXIST %WORK_DIR%\generated\ws\axis (
	echo ################################################
        echo ### NO file Java da compilare per WS Axis ! #### 
	echo ################################################
) ELSE (
	echo *********************************************************************************
        echo * Compilazione dei sorgenti Java WebServices in %WORK_DIR%\generated\ws\axis... *
	echo *********************************************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-ws-axis
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-axis
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-ws-axis
)

IF %AXIS_DIST%a==a (
	echo ########################
        echo #### NO JAR WS AXIS ####
	echo ########################
) ELSE (
	echo *******************************
        echo * Costruzione AXIS WS JAR ... *
	echo *******************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml make_WS_JAR
)

IF not EXIST %WORK_DIR%\generated\ws\dotnet (
	echo ################################################
        echo ### NO file Java da compilare per WS .NET ! #### 
	echo ################################################
) ELSE (
  	echo ***********************************************************************************
        echo * Compilazione dei sorgenti Java WebServices in %WORK_DIR%\generated\ws\dotnet... *
  	echo ***********************************************************************************
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-ws-dotnet
	%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-dotnet
)

set DESTINATION_DIR=%WORK_DIR%\generated\corba\java
echo CORBA DESTINATION_DIR=%DESTINATION_DIR%

IF not EXIST %DESTINATION_DIR% (
        echo %DESTINATION_DIR% NON esiste...
	echo creazione della directory %DESTINATION_DIR%...
	mkdir %DESTINATION_DIR%
	echo directory %DESTINATION_DIR% creata!

) ELSE (
        echo %DESTINATION_DIR% esistente...
)

echo Compilazione del file IDL ...
%JAVA_HOME%/bin/idlj -i %JAVA_HOME%\lib -fall -td  %DESTINATION_DIR%  %WORK_DIR%\corba_mico\idl\calcolatrice.idl
echo ... i sorgenti Java sono disponibile nella directory %DESTINATION_DIR% ...
echo **************************************************************************************
echo * Compilazione dei sorgenti CORBA Java in %DESTINATION_DIR% ...
echo **************************************************************************************
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-generated-corba
%JAVA_HOME%\bin\java -cp %CLASSPATH% org.apache.tools.ant.Main -buildfile %WORK_DIR%\ant\build.xml compile-plugin-corba

