
. ../ant/setenv_eai.sh

echo "=============================="
echo "FLAG ABILITAZIONE AVVIO SERVER"
echo "=============================="

# Selezionare con YESY/NO lo start del server
START_JBOSS=YES
START_CORBA=YES
START_CORBA_SUN=NO
START_TOMCAT=YES
START_WLS=NO
START_TCPMON=NO
#START_CS_SERVER=NO

echo "* AVVIO JBOSS     ABILITATO: $START_JBOSS"
echo "* AVVIO WLS       ABILITATO: $START_WLS"
echo "* AVVIO TOMCAT    ABILITATO: $START_TOMCAT"
echo "* AVVIO CORBA     ABILITATO: $START_CORBA"
echo "* AVVIO CORBA_SUN ABILITATO: $START_CORBA_SUN"
echo "* AVVIO TCP MON   ABILITATO: $START_TCPMON"
#echo "* AVVIO SERVER C# ABILITATO: $START_CS_SERVER"

echo "------------------------------------------------------------------------------------------------------"
echo "... editare questo file per abilitare/disabilitare il lancio (*) dei Server ..."
echo "------------------------------------------------------------------------------------------------------"
echo "(*) I Server sono effettivamente lanciati se installati e configurati opportunamenti le HOME directory"
echo "------------------------------------------------------------------------------------------------------"

read -p "premere un tasto per continuare"

echo "#################################################"
echo "############## AVVIO DEI SERVER #################"
echo "#################################################"

echo "AXIS JAR ..."
export AXIS_JAR=$AXIS_DIST/lib/axis.jar:
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/axis-ant.jar:
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar:
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
export AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/log4j-1.2.4.jar

export CLASSPATH=$CLASSPATH:.:$JBOSS_JAR:$JBOSS_CLIENT_STUB:$WLS_JAR:$WLS_CLIENT_STUB:$JBOSS_JMS_JAR:$AXIS_JAR

echo "CLASSPATH: $CLASSPATH"

if [ $START_JBOSS = YES ]
then
	if [ -z $JBOSS_DIST ]
	then
		echo "################"
	        echo "### NO JBoss ###"
		echo "################"
	else
		echo "**********************"
	        echo "* Avvio di JBoss ... *"
		echo "**********************"
		echo "Inserire la password di root"
		su - -c "service jboss restart" 
		/usr/X11R6/bin/xterm -title JBoss -e tail -f $JBOSS_DIST/server/all/log/server.log  &
		echo "JBoss started !"
	fi
else 
        echo "################################"
        echo "### AVVIO JBOSS DISABILITATO ###"
        echo "################################"
fi

if [ $START_TOMCAT = YES ]
then
	if [ -z $TOMCAT_HOME ]
	then
		echo "####################"
	        echo "#### NO TOMCAT ##### "
		echo "####################"
	else
		echo "***********************"
	        echo "* Avvio di TOMCAT ... *"
		echo "***********************"
		echo "Inserire la password di root"
		su - -c "service tomcat4 restart" 
		/usr/X11R6/bin/xterm -title Tomcat -e tail -f /var/tomcat4/logs/catalina.out  &
		echo "TOMCAT started !"
	fi
else 
        echo "###############]#################"
        echo "### AVVIO TOMCAT DISABILITATO ###"
        echo "#################################"
fi

if [ -z $WLS_USER_HOME ]
then
	echo "######################"
        echo "#### NO WebLogic ##### "
	echo "######################"
else
	echo "********************************"
        echo "* Avvio di WebLogic Server ... *"
	echo "********************************"
	echo "To Be Done!!"
fi


if [ $START_CORBA = YES ]
then
	if [ ! -z $MICO_HOME ]
	then
		echo "*******************************"
		echo "* Avvio CORBA Server ... *"
		echo "*******************************"
		echo "starting Corba Server..."
		cd $WORK_DIR/corba_mico/server
		/usr/X11R6/bin/xterm -title "MICO Corba Server" -e ./run_server.sh &
	else
	        echo "#############################################"
		echo "### AVVIO CORBA SERVER DISABILITATO ###"
		echo "#############################################"
	fi
fi

if [ $START_CORBA_SUN = YES ]
then
	/usr/X11R6/bin/xterm i-title "Java Corba Server" -e $JAVA_HOME/bin/java -classpath $CLASSPATH it.mokabyte.eai.my.corba.CalcolatriceServer -ORBInitRef NameService=corbaloc::localhost:1666/TNameService &
else
        echo "#############################################"
	echo "### AVVIO CORBA SERVER_SUN DISABILITATO ###"
	echo "#############################################"
fi

#if [ -z $AXIS_DIST ]
#then
#	echo "##################"
#        echo "#### NO AXIS ##### "
#	echo "##################"
#else
#	echo "*********************************"
#        echo "* Avvio di AXIS TCP Monitor ... *"
#	echo "*********************************"
#	echo "... Starting AXIS TCP MONITOR ..."
#	echo "Inserire la password dell'utente root"
#	su - -c "$JAVA_HOME/bin/java -cp $AXIS_DIST/lib/axis.jar org.apache.axis.utils.tcpmon 79 localhost 80"
#	su - -c "$JAVA_HOME/bin/java -cp $AXIS_DIST/lib/axis.jar org.apache.axis.utils.tcpmon 8079 localhost 8080"
#fi
