#!/bin/sh

. ../../../ant/setenv_eai.sh

export CLIENT_STUB=$WORK_DIR/bin/moka_ejb_integration.jar

export JBOSS_JAR=$JBOSS_DIST/server/all/lib/jboss-j2ee.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jboss.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jnpserver.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jndi.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jboss-transaction.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/lib/jboss-common.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/log4j.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jacorb.jar

export CLASSPATH=$CLASSPATH:.:$JBOSS_JAR:$CLIENT_STUB
echo "CLASSPATH: $CLASSPATH"

export CF=com.sun.jndi.cosnaming.CNCtxFactory
echo "ContextFactory: $CF"

export PU=corbaloc::localhost:3528/JBoss/Naming/root
echo "Provider URL: $PU"

export JNDI_NAME=MokaCalculatorIIOP
echo "JNDI NAME: $JNDI_NAME"

echo "Starting test ..."

$JAVA_HOME/bin/java -classpath $CLASSPATH -Djava.security.manager -Djava.security.policy=mysecurity.policy -Djava.naming.factory.initial=$CF -Djava.naming.provider.url=$PU  -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton it.mokabyte.eai.my.client.jboss.CalculatorTestClient $JNDI_NAME

echo "... done !"
