#!/bin/sh

. ../../ant/setenv_eai.sh

echo " =============================="
echo " FLAG ABILITAZIONE AVVIO CLIENT"
echo " =============================="

# Selezionare con YES/NO lo start del test client
CLIENT_CALCULATOR_WLS_T3=NO
CLIENT_CALCULATOR_WLS_IIOP=NO
CLIENT_CONCAT_JBOSS_JNP=YES
CLIENT_CONCAT_JBOSS_IIOP_ORB_SUN=YES
CLIENT_CONCAT_JBOSS_IIOP_ORB_JACORB=YES
CLIENT_CORBA_MICO=YES
CLIENT_CORBA_SUN=YES
CLIENT_CORBA_CPP_MICO=YES
CLIENT_CORBA_CPP_EJB=YES

echo " ======================================================="
echo " * CLIENT_CALCULATOR_WLS_T3..............ABILITATO: $CLIENT_CALCULATOR_WLS_T3"
echo " * CLIENT_CALCULATOR_WLS_IIOP............ABILITATO: $CLIENT_CALCULATOR_WLS_IIOP"
echo " * CLIENT_CALCULATOR_JBOSS_JNP...............ABILITATO: $CLIENT_CONCAT_JBOSS_JNP"
echo " * CLIENT_CALCULATOR_JBOSS_IIOP_ORB_SUN......ABILITATO: $CLIENT_CONCAT_JBOSS_IIOP_ORB_SUN"
echo " * CLIENT_CALCULATOR_JBOSS_IIOP_ORB_JACORB...ABILITATO: $CLIENT_CONCAT_JBOSS_IIOP_ORB_JACORB"
echo " * CLIENT_CORBA_MICO.....................ABILITATO: $CLIENT_CORBA_MICO"
echo " * CLIENT_CORBA_SUN......................ABILITATO: $CLIENT_CORBA_SUN"
echo " * CLIENT_CORBA_CPP_MICO......................ABILITATO: $CLIENT_CORBA_CPP_MICO"
echo " * CLIENT_CORBA_CPP_EJB......................ABILITATO: $CLIENT_CORBA_CPP_EJB"
echo " ======================================================="
echo "............ AVVIO SESSIONE DI TEST ..................."
echo "======================================================="


echo " === CLIENT_CALCULATOR_WLS_T3 ==="
if [ $CLIENT_CALCULATOR_WLS_T3 = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/wls
	./run_CalculatorTestClient_T3.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CALCULATOR_WLS_IIOP ==="
if [ $CLIENT_CALCULATOR_WLS_IIOP = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/wls
	./run_CalculatorTestClient_IIOP.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CONCAT_JBOSS_JNP ==="
if [ $CLIENT_CONCAT_JBOSS_JNP  = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/jboss
	./run_CalculatorTestClient_JNP.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CONCAT_JBOSS_IIOP_ORB_SUN ==="
if [ $CLIENT_CONCAT_JBOSS_IIOP_ORB_SUN = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/jboss
	./run_CalculatorTestClient_IIOP_SUN.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CONCAT_JBOSS_IIOP_ORB_JACORB ==="
if [ $CLIENT_CONCAT_JBOSS_IIOP_ORB_JACORB = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/jboss
	./run_CalculatorTestClient_IIOP_JacOrb.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CORBA_SUN ==="
if [ $CLIENT_CORBA_SUN = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/corba
	./run_CORBAclient_ORB_SUN.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CORBA_MICO ==="
if [ $CLIENT_CORBA_MICO = YES ]
then
	read -p "premere un tasto per continuare ...."
	cd $WORK_DIR/batch/test/corba
	./run_CORBAclient_ORB_MICO.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CORBA_C++_SERVER_MICO ==="
if [ $CLIENT_CORBA_CPP_MICO = YES ]
then
        read -p "premere un tasto per continuare ...."
        cd $WORK_DIR/corba_mico/client
        ./run_client.sh
else
        echo "skipped..."
fi

echo " === CLIENT_CORBA_C++_JBOSS_EJB ==="
if [ $CLIENT_CORBA_CPP_EJB = YES ]
then
        read -p "premere un tasto per continuare ...."
        cd $WORK_DIR/corba_mico/ejb_client
        ./run_client.sh
else
        echo "skipped..."
fi

echo "========================================================"
echo ".............. FINE SESSIONE DI TEST ..................."
echo "========================================================"

