package it.mokabyte.eai.my.ejb;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * <p>Title: CalculatorBean</p>
 * <p>Description: un EJB che restituisce la lunghezza della stringa</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S.Rossini
 * @version 1.0
 */
public class CalculatorBean implements SessionBean {

   public int getStringLength(String a) {
      if(a!=null) {
          System.out.println(new java.util.Date().toString()+"-CalculatorBean.getLength ["+ a + "]...");
          return a.length();
      }
      else
          return -1;
   }

   public CalculatorBean() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean::constructor...");
   }
   public void ejbCreate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbCreate...");
   }
   public void ejbRemove() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbRemove...");
   }
   public void ejbActivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbActivate...");
   }

   public void ejbPassivate() {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.ejbPassivate...");
   }

   public void setSessionContext(SessionContext sc) {
      System.out.println(new java.util.Date().toString()+"-ConcatBean.setSessionContext(ctx)...");
   }


}
