package it.mokabyte.eai.my.util;

import javax.naming.*;

/**
 * <p>Title: PublicLibraries</p>
 * <p>Description: Classe di metodi statici di pubblica utilit</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S: Rossini
 * @version 1.0
 */
public class PublicLibraries{

  public static void printContextProperties(Context jndiContext) throws NamingException {
     System.out.println("\n\t====================================================");
     System.out.println("\t============== Context initialized =================");
     System.out.println("\t====================================================\n");
     System.out.println("\tContext["+jndiContext+"]...");
     java.util.Hashtable ht = jndiContext.getEnvironment();
     System.out.println("\tHASH[" + ht + "]");
     java.util.Enumeration enum = ht.keys();
     while(enum.hasMoreElements()) {
          String str = (String)enum.nextElement();
          System.out.println("\t\t==>CTX Prop["+str + "]: value[" + ht.get(str)+"]");
    }
  }

  public static void diplayContextContent(Context ctx){

      System.out.println("\t*** Lista degli oggetti inseriti nel contesto: ***");

      try{
        javax.naming.NamingEnumeration listaOggetti = ctx.list(ctx.getNameInNamespace());

        while (listaOggetti.hasMore()) {
          javax.naming.NameClassPair nc = (javax.naming.NameClassPair)listaOggetti.next();
          System.out.println("\t==>" + nc);
        }
    }
    catch(Exception ne){
      System.out.println(ne.getMessage());
    }
    System.out.println("\n\t==================================================\n");
  }
}
