#!/bin/sh

. setenv_eai.sh

export DESTINATION_DIR=$WORK_DIR/generated/corba/java

echo "clean  ..."
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml undeploy-all

if [ -z $JBOSS_DIST ]
then
	echo "########################"
        echo "### NO deploy JBoss ####" 
	echo "########################"
else
        echo "costruzione e deploy del JAR..."
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml deploy-jboss
fi

if [ -z $TOMCAT_HOME ]
then
	echo "#########################"
        echo "### NO Deploy TOMCAT ####" 
	echo "#########################"
else
        echo "Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/dotnet..."
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml deploy-tomcat
fi

if [ -z $AXIS_DIST ]
then
	echo "########################"
        echo "#### NO JAR WS AXIS ####"
	echo "########################"
else
	echo "*******************************"
        echo "* Deploy AXIS WS JAR ... *"
	echo "*******************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile build.xml deploy-webservices
fi

if [ -z $WLS_HOME ]
then
	echo "################"
        echo "#### NO WLS ####"
	echo "################"
else

	echo "BEA WLS HOME: $WLS_HOME"
	echo "... si copia weblogic.jar da $WLS_HOME%/lib a $TOMCAT_HOME/common/lib ...(articolo 2 - integrazione di ORB)"
	cp $WLS_HOME/server/lib/weblogic.jar $TOMCAT_HOME/common/lib
	echo "... si copia weblogic.jar da $WLS_HOME/lib  a $JBOSS_DIST/server/all/lib ...(articolo 2 - integrazione di ORB)"
	cp $WLS_HOME/server/lib/weblogic.jar $JBOSS_DIST/server/all/lib
	echo "... si copia ejb_wls_calculator.jar(stub Weblogic Calculator EJB) da $WORK_DIR/applicazioni/ejb_b a $JBOSS_DIST/server/all/lib ...(articolo 2 - integrazione di ORB)"
	cp $WORK_DIR/applicazioni/ejb_b/ejb_wls_calculator.jar $JBOSS_DIST/server/all/lib	
fi




