

// RPC
import javax.xml.rpc.ServiceException;

// WS .NET/c# static stub
import it.mokabyte.eai.my.webservices.generated.dotnet.def.*;

public class DefTestClient{

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS .NET
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public int getLengthByDefWsDotNet()throws Exception {
    try{
	String param="Hello!";
      System.out.println("MyBusinessDelegate.getLengthByWsDotNet: [" + param +"]...");
      System.out.println("MyBusinessDelegate.getLengthByWsAxis: ENDPOINT ["+new DefCalculatorLocator().getDefCalculatorSoapAddress()+"]...");
      DefCalculatorSoap calc = new DefCalculatorLocator().getDefCalculatorSoap();
      System.out.println("MyBusinessDelegate.getLengthByWsDotNet: CalculatorService["+calc+"]...");
      System.out.println("MyBusinessDelegate.getLengthByWsDotNet: CalculatorService class["+calc.getClass().getName()+"]...");
      return calc.getLength(param);
    }catch(javax.xml.rpc.ServiceException rpce){
      System.out.println("MyBusinessDelegate.getLengthByWsDotNet: " + rpce.getMessage() );
      rpce.printStackTrace();
      throw new Exception(rpce);
    }catch(Exception e){
      System.out.println("MyBusinessDelegate.getLengthByWsDotNet: " + e.getMessage() );
      e.printStackTrace();
      throw new Exception(e);
    }
  }

  public static void main(String args[])throws Exception{
	System.out.println("====>" + new DefTestClient().getLengthByDefWsDotNet());
  }

}