using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace RemotingSamples {

  public class Sample {

    public static int Main(string [] args) {
      System.Console.WriteLine("> Starting ...");

      TcpChannel chan = new TcpChannel(9999);
      ChannelServices.RegisterChannel(chan);

      System.Console.WriteLine(">> Servant Type: " + Type.GetType("RemotingSamples.MokaServant,object"));

      RemotingConfiguration.RegisterWellKnownServiceType
      (Type.GetType("RemotingSamples.MokaServant,object"), 
      "MokaRemotingCalculator", WellKnownObjectMode.SingleCall);

      System.Console.WriteLine(">>> Servant registrato ...");

      System.Console.WriteLine(">>>> Hit <enter> to exit...");
      System.Console.ReadLine();
      return 0;
    }
  }
}
