#!/bin/sh

. ../../../ant/setenv_eai.sh


export CLIENT_STUB=$WORK_DIR/bin/moka_ejb_integration.jar

export JBOSS_JAR=$JBOSS_DIST/server/all/lib/jboss-j2ee.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jboss.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jnpserver.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/jndi.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/lib/jboss-common.jar
export JBOSS_JAR=$JBOSS_JAR:$JBOSS_DIST/server/all/lib/log4j.jar

export CLASSPATH=$CLASSPATH:$JBOSS_JAR:$CLIENT_STUB
echo "CLASSPATH: $CLASSPATH"

export CF=org.jnp.interfaces.NamingContextFactory
echo "ContextFactory: $CF"

export PU=jnp://localhost:1099
echo "Provider URL: $PU"

export JNDI_NAME=MokaCalculator
echo "JNDI NAME: $JNDI_NAME"

echo "Starting test ..."

$JAVA_HOME/bin/java -classpath $CLASSPATH -Djava.naming.factory.initial=$CF -Djava.naming.provider.url=$PU it.mokabyte.eai.my.client.jboss.CalculatorTestClient $JNDI_NAME

echo "... done !"
